Bug 149209 - man pages for shmget(2) and shmctl(2) are wrong.
man pages for shmget(2) and shmctl(2) are wrong.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: man-pages (Show other bugs)
4.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Ben Levenson
:
Depends On:
Blocks: 156322
  Show dependency treegraph
 
Reported: 2005-02-21 01:17 EST by L3support
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2005-356
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 09:39:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description L3support 2005-02-21 01:17:14 EST
Description of problem:
 man pages for shmget(2) and shmctl(2) are wrong. 
  - The second argument in prototype declaration of Japanese man page 
    for shmget(2) is not 'int' but 'size_t'
  - 'shmid_ds' member variable in 'shmid_ds' of Japanese and English 
    man pages for shmget(2) and shmctl(2) is not 'int' but 'size_t'. 

Version-Release number of selected component (if applicable):
 man-pages-1.67-3
 man-pages-ja-20040915-1

How reproducible:
 always

Steps to Reproduce:
 1. export LANG=C
 2. man shmget
 3. man shmctl
 4. export LANG=ja_JP.UTF-8
 5. man shmget
 6. man shmctl
  
Actual results:
 $ export LANG=C
 $ man shmget
  SHMGET(2)           Linux Programmer’s Manual           SHMGET(2)
              :
        struct shmid_ds {
            struct ipc_perm shm_perm;    /* operation perms */
            int             shm_segsz;   /* size of segment (bytes) */
            ^^^^
 $
 $ man shmctl
  SHMCTL(2)           Linux Programmer’s Manual           SHMCTL(2)
              :
        struct shmid_ds {
            struct ipc_perm shm_perm;    /* operation perms */
            int             shm_segsz;   /* size of segment (bytes) */
            ^^^^
 $
 $ export LANG=ja_JP.UTF-8
 $ man shmget
  SHMGET(2)           Linux Programmer’s Manual           SHMGET(2)
              :
        int shmget(key_t key, int size, int shmflg);
                              ^^^^
              :
        struct shmid_ds {
            struct ipc_perm shm_perm;    /* operation perms */
            int             shm_segsz;   /* size of segment (bytes) */
            ^^^^
 $
 $ man shmctl
  SHMCTL(2)           Linux Programmer’s Manual           SHMCTL(2)
              :
        struct shmid_ds {
            struct ipc_perm shm_perm;    /* operation perms */
            int             shm_segsz;   /* size of segment (bytes) */
            ^^^^
 $

Expected results:
 data type is described properly.

Additional info:
Comment 1 Lawrence Lim 2005-03-04 02:57:59 EST
bman-pages-ja-20050215-1.EL4.0. has resolved the bug. Please refer to
bug 149217.


Thanks.
Comment 2 Jiri Ryska 2005-04-04 11:34:04 EDT
fixed in man-pages-1.67-5.EL4
Comment 9 Red Hat Bugzilla 2005-10-05 09:39:59 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-356.html

Note You need to log in before you can comment on or make changes to this bug.